CVE-2015-1030

NameCVE-2015-1030
DescriptionMemory leak in the rfc2553_connect_to function in jbsocket.c in Privoxy before 3.0.22 allows remote attackers to cause a denial of service (memory consumption) via a large number of requests that are rejected because the socket limit is reached.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs775167

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
privoxy (PTS)buster3.0.28-2+deb10u2fixed
bullseye3.0.32-2+deb11u1fixed
bookworm3.0.34-1fixed
sid, trixie3.0.34-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
privoxysourcesqueeze(not affected)
privoxysourcewheezy(not affected)
privoxysource(unstable)3.0.21-5775167

Notes

[squeeze] - privoxy <not-affected> (Introduced in 3.0.21)
[wheezy] - privoxy <not-affected> (Introduced in 3.0.21)
http://www.privoxy.org/announce.txt
http://ijbswa.cvs.sourceforge.net/viewvc/ijbswa/current/cgisimple.c?view=patch&r1=1.130&r2=1.131&pathrev=v_3_0_22

Search for package or bug name: Reporting problems